// -*-C++-*-
/*!
 * @file  com_ACTSVC_impl.cpp
 * @brief Service implementation code of com_ACT.idl
 *
 */

#include "com_ACTSVC_impl.h"

/*
 * Example implementational code for IDL interface ComACT
 */
ComACTSVC_impl::ComACTSVC_impl()
{
  // Please add extra constructor code here.
}


ComACTSVC_impl::~ComACTSVC_impl()
{
  // Please add extra destructor code here.
}


/*
 * xyz:[mm]
 * abc:[degree]
 */
RTC::CarPosWithElbow ComACTSVC_impl::createCarPosWithElbow(const Vector& xyz, const Vector& abc)
{
  int i,j;
  VECTOR tmp_vtr;
  VECTOR tmp_abc;
  MATRIX tmp_mtr;
  MATRIX tmp_amtr;
  MATRIX tmp_bmtr;
  MATRIX tmp_cmtr;
  
  for(i=0; i<3; i++) {
    tmp_vtr[i] = xyz.pos[i];
    tmp_abc[i] = abc.pos[i] * PI/180.0;	//degreeからradへ変換
  }
  ma(tmp_abc[0],tmp_amtr);
  mb(tmp_abc[1],tmp_bmtr);
  mc(tmp_abc[2],tmp_cmtr);
  m_mul(tmp_amtr,tmp_bmtr,tmp_mtr);
  m_mul(tmp_mtr,tmp_cmtr,tmp_mtr);
  
  for(i=0; i<3; i++) {
      for(j=0; j<3; j++) {
        pos.carPos[i][j] = tmp_mtr[i][j];
       }
      pos.carPos[i][3] = tmp_vtr[i];
  }
  pos.elbow = 0.0;    
  pos.structFlag = 0;
  
  return pos;
}


// End of example implementational code



