// -*-C++-*-
/*!
 * @file  com_ACTSVC_impl.h
 * @brief Service implementation header of com_ACT.idl
 *
 */

#include "com_ACTSkel.h"


#ifndef COM_ACTSVC_IMPL_H
#define COM_ACTSVC_IMPL_H
 
#include "geo_std.h"
 
/*
 * Example class implementing IDL interface ComACT
 */
class ComACTSVC_impl
 : public virtual POA_ComACT,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~ComACTSVC_impl();

 public:
   // standard constructor
   ComACTSVC_impl();
   virtual ~ComACTSVC_impl();

   // attributes and operations
   RTC::CarPosWithElbow createCarPosWithElbow(const Vector& xyz, const Vector& abc);
   
   RTC::CarPosWithElbow pos;

};



#endif // COM_ACTSVC_IMPL_H


