#!/bin/bash

MAKELIST_CXX=(vel_sim RMRC ACT_PA10_RH)
MAKELIST_PY=(pa10disp_py pa10hand_disp)

cd tools
cd geo
make clean
make
make install
cd ../

cd nr
make clean
make
make install
cd ../../

for ((i=0;i<${#MAKELIST_CXX[*]};i++))
{
  cd ${MAKELIST_CXX[i]}
  make clean
  make
  make install
  cd ../
}

for ((i=0;i<${#MAKELIST_PY[*]};i++))
{
  cd ${MAKELIST_PY[i]}
  python bin_update.py
  cd ../
}

cd ~/PCforSystemControl/bin/comp
omniidl -bpython -I/usr/lib/python2.6/dist-packages/OpenRTM_aist/RTM_IDL ../../idl/*.idl
